Bug 1565140 - Embedded Ansible job_status .out files are not processed by logrotate
Summary: Embedded Ansible job_status .out files are not processed by logrotate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Nick Carboni
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1560478
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 13:25 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
7 users (show)

Fixed In Version: 5.9.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1560478
Environment:
Last Closed: 2018-05-07 20:48:47 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:49:17 UTC

Comment 2 CFME Bot 2018-04-09 13:31:23 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/87201ca642404df3afeabb85a3b5d6d2281ffe92
commit 87201ca642404df3afeabb85a3b5d6d2281ffe92
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Thu Apr  5 14:27:21 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Thu Apr  5 14:27:21 2018 -0400

    Merge pull request #17250 from carbonin/ansible_job_retention

    Add a setting for ansible job data retention
    (cherry picked from commit ce34861511c9e5b29d950a1f1f81f781d222b2af)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565140

 Gemfile | 2 +-
 app/models/embedded_ansible_worker/runner.rb | 8 +
 config/settings.yml | 1 +
 lib/embedded_ansible.rb | 14 +
 spec/lib/embedded_ansible_spec.rb | 48 +-
 spec/models/embedded_ansible_worker/runner_spec.rb | 13 +
 6 files changed, 81 insertions(+), 5 deletions(-)

Comment 3 Dmitry Misharov 2018-04-17 06:41:40 UTC
Verified in 5.9.2.2.20180410215257_6961422. Advanced settings contain job_data_retention_days option

Comment 6 errata-xmlrpc 2018-05-07 20:48:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.